com.verisign.epp.codec.host

## Class EPPHostCheckResp

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPResponse
  - - com.verisign.epp.codec.host.EPPHostCheckResp

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPHostCheckResp
      extends EPPResponse

  Represents an EPP Host <host:chkData> response to a `EPPHostCheckCmd`. When a <check> command has been processed successfully, the EPP <resData> element MUST contain a child <host:chkData> element that identifies the host namespace and the location of the host schema. The <host:chkData> element contains one or more <host:cd> elements that contain the following child elements:
  - A <host:name> element that contains the fully qualified name of the queried host object. This element MUST contain an "avail" attribute whose value indicates object availability at the moment the <check> command was completed. A value of "1" or "true" menas that the object is availabe. A value of "0" or "false" means that the object is not available.
  - An OPTIONAL <host:reason> element that MAY be provided when an object is not available for provisioning. If present, this element contains server-specific text to help explain why the object is unavailable. This text MUST be represented in the response language previously negotiated with the client; an OPTIONAL "lang" attribute MAY be present to identify the language if the negotiated value is something other that a default value of "en" (English). Use `getCheckResults` and `setCheckResults` to get and set the elements.
  See Also:
    `EPPHostCheckCmd`, `EPPHostCheckResult`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPResponse

      `extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPHostCheckResp()` `EPPHostCheckResp` default constructor.
    `EPPHostCheckResp(EPPTransId aTransId, EPPHostCheckResult aResult)` `EPPHostCheckResp` constructor that will set the result of an individual host.
    `EPPHostCheckResp(EPPTransId aTransId, java.util.Vector someResults)` `EPPHostCheckResp` constructor that will set the result of multiple hosts.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPHostCheckResp`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPHostCheckResp` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPHostCheckResp` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPHostCheckResp` with this instance.
    `java.util.Vector` | `getCheckResults()` Get the results of a EPPHostCheckResp Response.
    `java.lang.String` | `getNamespace()` Get the EPP command Namespace associated with `EPPHostCheckResp`.
    `java.lang.String` | `getType()` Get the EPP response type associated with `EPPHostCheckResp`.
    `void` | `setCheckResults(java.util.Vector someResults)` Set the results of a `EPPHostCheckResp` Response.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPResponse

      `addExtension, decode, encode, findDuplicateExtNamespaces, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPHostCheckResp

          public EPPHostCheckResp()

      `EPPHostCheckResp` default constructor. It will set results attribute to an empty `Vector`.

    - #### EPPHostCheckResp

          public EPPHostCheckResp(EPPTransId aTransId,
                                  EPPHostCheckResult aResult)

      `EPPHostCheckResp` constructor that will set the result of an individual host.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `aResult` - Result of a single host name.

    - #### EPPHostCheckResp

          public EPPHostCheckResp(EPPTransId aTransId,
                                  java.util.Vector someResults)

      `EPPHostCheckResp` constructor that will set the result of multiple hosts.
      Parameters:
        `aTransId` - Transaction Id associated with response.
        `someResults` - Vector of EPPCheckHostResult instances.

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Get the EPP response type associated with `EPPHostCheckResp`.
      Overrides:
        `getType` in class `EPPResponse`
      Returns:
        EPPHostCheckResp.ELM_NAME

    - #### getNamespace

          public java.lang.String getNamespace()

      Get the EPP command Namespace associated with `EPPHostCheckResp`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Overrides:
        `getNamespace` in class `EPPResponse`
      Returns:
        `EPPHostMapFactory.NS`

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPHostCheckResp` instance.
      Overrides:
        `doEncode` in class `EPPResponse`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPHostCheckResp` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPHostCheckResp` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPHostCheckResp` attributes from the aElement DOM Element tree.
      Overrides:
        `doDecode` in class `EPPResponse`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPHostCheckResp` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPHostCheckResp` with this instance.
      Overrides:
        `equals` in class `EPPResponse`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPHostCheckResp`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPResponse`
      Returns:
        clone of `EPPHostCheckResp`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPResponse`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### setCheckResults

          public void setCheckResults(java.util.Vector someResults)

      Set the results of a `EPPHostCheckResp` Response. There is one `EPPCheckHostResult` instance in `someResults` for each host requested in the `EPPHostCheckCmd` Command.
      Parameters:
        `someResults` - Vector of `EPPCheckHostResult` instances.

    - #### getCheckResults

          public java.util.Vector getCheckResults()

      Get the results of a EPPHostCheckResp Response. There is one `EPPCheckHostResult` instance in `someResults` for each host requested in the `EPPCheckHostResult` Command.
      Returns:
        Vector of `EPPHostResult` instances.